Subject: [bug#42573] [PATCH 2/2] gnu: python-clikit: Update to 0.6.2.

From: Tanguy Le Carrour <[email-masked]>
Date: Wed, 29 Jul 2020 09:26:56 +0200

Hi Oleg,

>Tanguy Le Carrour <tanguy <at> bioneland.org> writes:
>> * gnu/packages/python-xyz.scm (python-clikit): Update to 0.6.2.
>[…]
>> +    (arguments '(#:tests? #f))  ; no test in the PyPI tarball
>Could you take a look on a fetching source with ‘git-fetch’ and enabling
>tests suite?

Actually, I can't! :-(

`crashtest` is a project managed with Poetry. In order to build and test it,
I need `poetry`. But `poetry` depends on `clikit` that depends on… `crashtest`!

I guess (I hope) that more and more projects will be managed with Poetry,
so we'll run into this problem again.

There's actually an other problem with Poetry: `poetry` is managed with Poetry!
I have no idea how to handle this! Is this a scenario where we have to have
a `poetry-0` that is a "trusted" binary that we use to "properly" build
the "poetry chain"?

Any help welcome!

-- 
Tanguy